import CthulhuEternalItemSheet from "./base-item-sheet.mjs"

export default class CthulhuEternalMentalDisorderSheet extends CthulhuEternalItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["mentaldisorder"],
    position: {
      width: 450,
    },
    window: {
      contentClasses: ["mentaldisorder-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-cthulhu-eternal/templates/mentaldisorder.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await TextEditor.enrichHTML(this.document.system.description, { async: true })
    return context
  }

}
